Subject: Re: M3UA07: RC in DATA and SSNM messages

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 23 Aug 2001 18:00:17 -0500

.....resend

Tolga,

Asveren, Tolga wrote:                                    (Thu, 23 Aug 2001 07:54:29)
> Brian,
> 
> I have two more questions-comments:
> 
> 1) To select SG for traffic from ASP to SG direction
> If ASP knows the RC, then it can select only among the SGs, which it has
> sent ASPAC for this RC. What it is wrong with this approach?

The only thing wrong is that RC is not in DATA and SNMM so that the SG
can know which AS the messages are for and can determine whether it
has the AS in the AS-ACTIVE state.  Otherwise, any malicious or insane
ASP can send whatever it may and the SG cannot determine whether the
traffic is valid.

If the ASP labels DATA and SNMM with the RC of the AS, the SG can perform
ASPTM and other functions on the traffic flow as identified by the RC.

> 
> 2) It is obvious there is a 1:1 relationship between AS:RK:RC. But in the
> case where one user application serves more than one RK (is part of more
> than one AS), then it should decide, a message it is sending is belonging to
> which AS. So, there will be a need of RK analysis on user application level
> in such a case. Unless it is said that a user application can't be part of
> more than one AS, I think this case should be also considered.

I think this is really a trivial matter:  an application has one interface to
M3UA bound to OPC=5/DPC=6/SI=ISUP another bound to OPC=5/DPC=7/SI=ISUP.  IAMs
received on interface #1 are responded to on interface #1, the same for #2.
There is no RK "analysis" here, the selection of RK is implicit in the
selection of the interface.  The selection of the interface is trivial and
obvious to the application.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 23 Aug 2001 11:47:58 -0500

Tolga,

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---